QFocusEvent(3qt)

NAME
QFocusEvent - Event parameters for widget focus events

SYNOPSIS
#include <qevent.h>

Inherits QEvent.

  Public Members
QFocusEvent ( Type type )
bool gotFocus () const
bool lostFocus () const
enum Reason { Mouse, Tab, Backtab, ActiveWindow, Popup, Shortcut, Other }

  Static Public Members
Reason reason ()
void setReason ( Reason reason )
void resetReason ()

DESCRIPTION
The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, keypresses (e.g. Tab or Backtab), the window system, popup menus, keyboard shortcuts or other application specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

Use setReason() to set the reason for all focus events, and resetReason() to set the reason for all focus events to the reason in force before the last setReason() call.

See also QWidget::setFocus(), QWidget::focusPolicy, and Event Classes.

  Member Type Documentation

QFocusEvent::Reason
This enum specifies why the focus changed.

QFocusEvent::Mouse - because of a mouse action.

QFocusEvent::Tab - because of a Tab press.

QFocusEvent::Backtab - because of a Backtab press (possibly including Shift/Control, e.g. Shift+Tab).

QFocusEvent::ActiveWindow - because the window system made this window (in)active.

QFocusEvent::Popup - because the application opened/closed a popup that grabbed/released focus.

QFocusEvent::Shortcut - because of a keyboard shortcut.

QFocusEvent::Other - any other reason, usually application-specific.

See the keyboard focus overview for more about focus.

MEMBER FUNCTION DOCUMENTATION

QFocusEvent::QFocusEvent ( Type type )
Constructs a focus event object.

The type parameter must be either QEvent::FocusIn or QEvent::FocusOut.

bool QFocusEvent::gotFocus () const
Returns TRUE if the widget received the text input focus; otherwise returns FALSE.

bool QFocusEvent::lostFocus () const
Returns TRUE if the widget lost the text input focus; otherwise returns FALSE.

Reason QFocusEvent::reason () [static]
Returns the reason for this focus event.

See also setReason().

void QFocusEvent::resetReason () [static]
Resets the reason for all future focus events to the value before the last setReason() call.

See also reason() and setReason().

void QFocusEvent::setReason ( Reason reason ) [static]
Sets the reason for all future focus events to reason.

See also reason() and resetReason().

SEE ALSO
http://doc.trolltech.com/qfocusevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qfocusevent.3qt) and the Qt version (3.3.8).